#ifndef __SCREEN
#define __SCREEN

#include <OpenGL/gl.h>

typedef struct{
	int xSize,ySize;
	int xOffset,yOffset;
	GLuint texture;
} tScreenTexture;

typedef struct{
	int height,width,freq;
} tVideoMode;

#define kMaxModes 256
extern tVideoMode gVideoModes[];
extern int gVideoNumModes;

extern tScreenTexture gScreenTextures[4];

#define kNormalFOVY 0.7853981634
//#define kNormalFOVY 0.9
extern float gFOVY,gFOVX;

#define kScreenXPos 0.52
#define kScreenYPos 0.39

void ScreenInit();
void ScreenReInit();
void ScreenExit();
void ScreenBlit();
void SetupAspect(float fovy);
void InitGL();
int GetVRAMSize();
int ScreenSupportsTextureCompression();
int ScreenSupports3DTextures();
int ScreenSupportsAnisotropicFiltering();
int ScreenSupportsBlendColor();
int ScreenNoBigTextures();
int ScreenNoWindow();

#endif